sc::LinIPSimpleCo(3)

NAME
sc::LinIPSimpleCo -

The LinIPSimpleCo class describes an in-plane component of a linear bend internal coordinate of a molecule'.

SYNOPSIS

#include <simple.h>

Inherits sc::SimpleCo'.

  Public Member Functions
LinIPSimpleCo (const LinIPSimpleCo &)
LinIPSimpleCo (const char *refr, int, int, int, const SCVector3 &u)
This constructor takes a string containing a label, and three integers a, b, and d which give the indices of the atoms involved in the linear angle abc'.
LinIPSimpleCo (const Ref< KeyVal > &)
The KeyVal constructor'.
const char * ctype () const
Always returns the string 'LINIP''.
double radians () const
Returns the value of the angle abc in radians'.
double degrees () const
Returns the value of the angle abc in degrees'.
double preferred_value () const
Returns the value of the angle abc in degrees'.

Detailed Description

The LinIPSimpleCo class describes an in-plane component of a linear bend internal coordinate of a molecule'. The input is described in the documentation of its parent class SimpleCo'. A vector, $rs the keyword u, that is not colinear with either $r - rr{r}_b - rr{r}_a$, $rnd $rre the positions of the first, second, and third atoms, respectively'.

Usually, LinIPSimpleCo is used with a corresponding LinOPSimpleCo, which is given exactly the same u'.

Designating the three atoms as $a$, $b$, and $c$ and their cartesian positions as $r$, $rnd $rlue of the coordinate, $ heta_i$, is given by

rb} = ac{r - rr{r}_a - rr{u}_{cb} = ac{rr{r}_c}{ rr{r}_b }] heta_i = i - rccos ( rb}

Constructor & Destructor Documentation

  sc::LinIPSimpleCo::LinIPSimpleCo (const char *refr, int, int, int, const SCVector3 &u)

This constructor takes a string containing a label, and three integers a, b, and d which give the indices of the atoms involved in the linear angle abc'. The last argument, u, is a unit vector used to defined the direction in which distortion is measured'. Atom numbering begins at atom 1, not atom 0'.

  sc::LinIPSimpleCo::LinIPSimpleCo (const Ref< KeyVal > &)

The KeyVal constructor'. This calls the SimpleCo keyval constructor with an integer argument of 3'.

Author

Generated automatically by Doxygen for MPQC from the source code'.